# $Revision: 1.54 $, $Date: 2010/01/11 13:18:03 $
#
# Conditional build:
%bcond_with	ssl	# build with ssl (requires netscape sdk), tls is available with openldap
#
%define	mod_name	auth_ldap
%define apxs	/usr/sbin/apxs1
Summary:	This is a LDAP authentication module for Apache
Summary(cs.UTF-8):	Autentizační modul LDAP pro WWW server Apache
Summary(da.UTF-8):	En LDAP-autenticeringsmodul for Apache
Summary(de.UTF-8):	Ein LDAP Authentifizierungsmodul für Apache
Summary(es.UTF-8):	Este módulo proporciona autenticación LDAP para Apache
Summary(fr.UTF-8):	Module d'authentification LDAP pour Apache
Summary(id.UTF-8):	Module LDAP authentication untuk Apache
Summary(it.UTF-8):	Modulo di autenticazione LDPA per Apache
Summary(ja.UTF-8):	Apache 用の LDAP 認証モジュール
Summary(nb.UTF-8):	En LDAP-autentiseringsmodul for Apache
Summary(pl.UTF-8):	Moduł uwierzytelnienia LDAP dla Apache
Summary(pt.UTF-8):	Um módulo de autenticação de LDAP para o Apache
Summary(pt_BR.UTF-8):	Este módulo provê autenticação LDAP para o Apache
Summary(ru.UTF-8):	Аутентификационный модуль LDAP для сервера Apache
Summary(sl.UTF-8):	Avtentikacijski modul LDAP za Apache
Summary(sv.UTF-8):	En LDAP autentiseringsmodul för Apache
Summary(zh_CN.UTF-8):	这是用于 Apache 的 LDAP 验证模块
Name:		apache1-mod_%{mod_name}
Version:	1.6.1
Release:	2
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.gz
# Source0-md5:	a78d8c5fc77086562ca056c226c97992
Patch0:		%{name}-makefile.patch
URL:		http://www.rudedog.org/auth_ldap/
BuildRequires:	apache1-devel >= 1.3.39
BuildRequires:	autoconf
BuildRequires:	lynx
BuildRequires:	openldap-devel >= 2.3.0
%{?with_ssl:BuildRequires:	mozldap-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache1(EAPI)
Requires:	apache1-mod_auth
Obsoletes:	apache-mod_auth_ldap < 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an LDAP directory.

%description -l cs.UTF-8
Balíček obsahuje autentizační modul pro WWW server Apache, který
umožňuje autentizovat HTTP klienty proti položkám v adresářové službě
LDAP.

%description -l da.UTF-8
Denne pakke indeholder en autenticeringsmodul for webtjeneren Apache -
med auth_ldap installeret kan HTTP-klienter autenticeres mod
brugerinformation i et LDAP-katalog.

%description -l de.UTF-8
Dieses Paket enthält ein Authentifizierungs-Modul für den Apache
Webserver, das Ihnen ermöglicht, HTTP-Clients mit Hilfe von
Benutzereinträgen in einem LDAP-Verzeichniss zu authentifizieren.

%description -l es.UTF-8
Este paquete contiene un módulo de autenticación para el servidor
Apache web que le permite autenticar clientes HTTP usando entradas de
usuario en un directorio LDAP.

%description -l fr.UTF-8
Ce paquetage contient un module d'authentification pour le serveur Web
Apache, qui vous permet d'authentifier les clients HTTP en utilisant
les entrées utilisateur dans un répertoire LDAP.

%description -l id.UTF-8
Ini adalah authentication module untuk Apache yang memungkinkan anda
melakukan otentikasi HTTP client menggunakan user entry di dalam LADP
directory.

%description -l it.UTF-8
Questo pacchetto contiene un modulo di autenticazione per il Web
server Apache che consente di autenticare i client HTTP tramite gli
inserimenti utente in una directory LDPA.

%description -l ja.UTF-8
このパッケージには Apache Web サーバーで LDAP ディレクトリ内のユーザー
エントリを使った HTTP クライアントの認証を可能にするための認証
モジュールが含まれています。

%description -l nb.UTF-8
Denne pakken inneholder en autentiseringsmodul for webtjeneren Apache
- med auth_ldap installert kan HTTP-klienter autentiseres mot
  brukerinformasjon i en LDAP-katalog.

%description -l pl.UTF-8
W pakiecie znajduje się moduł do Apache, który pozwala na
uwierzytelnianie klientów HTTP przy użyciu LDAP.

%description -l pt.UTF-8
Este pacote contém um módulo de autenticação para o servidor Web
Apache que lhe permite autenticar os clientes HTTP usando registos de
utilizadores numa directoria LDAP.

%description -l pt_BR.UTF-8
Este módulo permite que você autentique clientes HTTP usando o
diretório LDAP.

%description -l ru.UTF-8
Это модуль аутентификации для Apache, позволяющий идентифицировать
HTTP-клиентов на основе записей пользователя в каталоге LDAP.

%description -l sv.UTF-8
Detta paket innehåller en autenticeringsmodul för webbservern Apache
som låter dig autenticera HTTP-klienter med använderposter i en
LDAP-katalog.

%description -l zh_CN.UTF-8
这是用于 Apache 的验证模块，它允许您使用 LDAP 目录中的用户项验证 HTTP
客户机。

%prep
%setup -q -n auth_ldap-%{version}
%patch0 -p1
mv -f auth_ldap.c mod_auth_ldap.c

lynx -nolist -dump auth_ldap.html > auth_ldap.txt

%build
%{__autoconf}
%configure \
	--with-apxs=%{apxs} \
	--with-ldap-sdk=openldap \
	--with%{!?with_ssl:out}-ssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.6.0-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	sed -i -e '/^\(Add\|Load\)Module.*mod_%{mod_name}\.\(so\|c\)/d' /etc/apache/apache.conf
fi

%files
%defattr(644,root,root,755)
%doc *.html PROBLEMS auth_ldap.txt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/mod_auth_ldap.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_ldap.spec,v $
Revision 1.54  2010/01/11 13:18:03  glen
- release 2

Revision 1.53  2008/05/26 18:46:48  glen
- rel down, as was broken for me

Revision 1.52  2008-05-20 11:11:22  glen
- update to 1.6.1, add ssl bcond

Revision 1.51  2008-05-20 10:11:15  glen
- remove runtime apxs dep; rel 7

Revision 1.50  2008-04-01 17:00:17  glen
- release 6

Revision 1.49  2008-04-01 08:57:41  glen
- add text doc of directives
- remove apxs dep from trigger
- revert ldap version bump
- rel 5

Revision 1.48  2007-11-04 19:18:49  glen
- apxs1 in apache1-devel now

Revision 1.47  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.46  2007/06/07 11:09:04  shadzik
- BR s@%{apxs}@apache1-apxs@g

Revision 1.45  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.43  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.42  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.41  2006/04/14 16:50:13  glen
- use %service

Revision 1.40  2006/01/17 15:07:31  baggins
- release 3
- BR openldap 2.3

Revision 1.39  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.38  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.37  2005/02/15 12:00:01  glen
- rel 2; STBR

Revision 1.36  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.35  2004/08/29 19:00:45  radek
- mv apache{,1}-*; release 1

Revision 1.34  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.33  2004/02/16 17:27:48  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.32  2003/08/06 16:10:43  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.31  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.30  2003/07/07 03:10:37  blues
- some small changes, inpired by kloczek

Revision 1.29  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.26  2002/06/30 10:33:50  kloczek
- release 8: use new %doc.

Revision 1.25  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/04/25 15:45:17  arturs
- fixed a small typo

Revision 1.23  2002/04/23 12:48:37  kloczek
- release 7.

Revision 1.22  2002/04/23 09:04:54  arturs
- License field change

Revision 1.21  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/19 15:22:38  qboosh
- Prereq: apache-mod_auth

Revision 1.19  2002/02/19 13:14:21  qboosh
- fixed internal module name (s/auth_ldap/mod_auth_ldap/), it is usable now
- release 6, STBR

Revision 1.18  2002/02/17 21:03:58  ankry
- release 5

Revision 1.17  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.16  2002/02/17 04:55:57  kloczek
- release 4.

Revision 1.15  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.14  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/07 16:39:50  kloczek
- release 3.

Revision 1.12  2001/11/07 16:02:29  qboosh
- restart apache in post/preun

Revision 1.11  2001/10/23 12:10:25  kloczek
- release 2.

Revision 1.10  2001/10/11 11:52:23  qboosh
- BuildRequires: autoconf

Revision 1.9  2001/08/10 19:24:51  kloczek
- "Prereq: apache(EAPI)" and "BuildRequires: apache(EAPI)-devel",
- spec adapterized.

Revision 1.8  2001/08/10 19:19:41  blues
- axps in pre and post

Revision 1.7  2001/08/10 19:11:33  blues
- 1.6.0
- some translations (i.e. pl)
- makefile.patch - add DESTDIR support and change library name.

Revision 1.6  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.5  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.4  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.3  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.2  2000/05/11 21:46:27  kloczek
- adapterized and partialy rewrited.
